<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:21 CEST 2019 -->
<title>EncodingFactory (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EncodingFactory (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":41,"i5":10,"i6":10,"i7":41,"i8":41,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":41,"i23":41,"i24":41,"i25":41,"i26":41,"i27":10,"i28":10,"i29":9,"i30":9,"i31":10,"i32":10,"i33":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/encodings/EncodingSet.html" title="interface in org.firebirdsql.encodings"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/encodings/EncodingFactory.html" target="_top">Frames</a></li>
<li><a href="EncodingFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.encodings</div>
<h2 title="Class EncodingFactory" class="title">Class EncodingFactory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.encodings.EncodingFactory</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">EncodingFactory</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></pre>
<div class="block">Factory for <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> and <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#ENCODING_NAME_NONE">ENCODING_NAME_NONE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#ENCODING_NAME_OCTETS">ENCODING_NAME_OCTETS</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#createInstance-java.nio.charset.Charset-">createInstance</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;charset)</code>
<div class="block">Returns an <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings"><code>IEncodingFactory</code></a> that uses an <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> identified
 by <code>charSet</code> as the default.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#createInstance-org.firebirdsql.encodings.EncodingDefinition-">createInstance</a></span>(<a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a>&nbsp;encodingDefinition)</code>
<div class="block">Returns an <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings"><code>IEncodingFactory</code></a> that uses <code>encodingDefinition</code> as the
 default.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../org/firebirdsql/encodings/EncodingFactory.html" title="class in org.firebirdsql.encodings">EncodingFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#createInstance-org.firebirdsql.encodings.EncodingSet...-">createInstance</a></span>(<a href="../../../org/firebirdsql/encodings/EncodingSet.html" title="interface in org.firebirdsql.encodings">EncodingSet</a>...&nbsp;encodingSets)</code>
<div class="block">Creates a new EncodingFactory based on the supplied encodingSets.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected static &lt;T extends <a href="../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a>&gt;<br>T</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#createNewDatatypeCoder-java.lang.Class-org.firebirdsql.encodings.IEncodingFactory-">createNewDatatypeCoder</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;datatypeCoderClass,
                      <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;encodingFactory)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getCharacterSetSize-int-">getCharacterSetSize</a></span>(int&nbsp;characterSetId)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use the information provided by the <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> returned by <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharacterSetId-int-"><code>getEncodingDefinitionByCharacterSetId(int)</code></a></span></div>
</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getDefaultEncoding--">getDefaultEncoding</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getDefaultEncodingDefinition--">getDefaultEncodingDefinition</a></span>()</code>
<div class="block">Returns the <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> for the default platform character set.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncoding-java.nio.charset.Charset-">getEncoding</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;charset)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingForCharset-java.nio.charset.Charset-org.firebirdsql.encodings.Encoding-"><code>getEncodingForCharset(java.nio.charset.Charset, Encoding)</code></a> or <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getOrCreateEncodingForCharset-java.nio.charset.Charset-"><code>getOrCreateEncodingForCharset(java.nio.charset.Charset)</code></a></span></div>
</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncoding-java.lang.String-">getEncoding</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;javaCharsetAlias)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingForCharsetAlias-java.lang.String-org.firebirdsql.encodings.Encoding-"><code>getEncodingForCharsetAlias(String, Encoding)</code></a></span></div>
</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinition-java.lang.String-java.lang.String-">getEncodingDefinition</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;firebirdEncodingName,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;javaCharsetAlias)</code>
<div class="block">Gets or creates an <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> for the supplied Firebird encoding and Java charset.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharacterSetId-int-">getEncodingDefinitionByCharacterSetId</a></span>(int&nbsp;firebirdCharacterSetId)</code>
<div class="block">Looks up the <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> for the specified Firebird character set id.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharset-java.nio.charset.Charset-">getEncodingDefinitionByCharset</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;charset)</code>
<div class="block">Looks up an <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> for the Java <a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset"><code>Charset</code></a>.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharsetAlias-java.lang.String-">getEncodingDefinitionByCharsetAlias</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charsetAlias)</code>
<div class="block">Looks up the <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> by the specified Java character set name or
 alias.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByFirebirdName-java.lang.String-">getEncodingDefinitionByFirebirdName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;firebirdEncodingName)</code>
<div class="block">Looks up the <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> for the specified Firebird encoding name.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingForCharacterSetId-int-">getEncodingForCharacterSetId</a></span>(int&nbsp;firebirdCharacterSetId)</code>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Firebird character set id.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingForCharacterSetId-int-org.firebirdsql.encodings.Encoding-">getEncodingForCharacterSetId</a></span>(int&nbsp;firebirdCharacterSetId,
                            <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;fallbackEncoding)</code>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Firebird character set id.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingForCharset-java.nio.charset.Charset-">getEncodingForCharset</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;charset)</code>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Java character set.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingForCharset-java.nio.charset.Charset-org.firebirdsql.encodings.Encoding-">getEncodingForCharset</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;charset,
                     <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;fallbackEncoding)</code>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Java character set.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingForCharsetAlias-java.lang.String-">getEncodingForCharsetAlias</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charsetAlias)</code>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Java character set name or alias.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingForCharsetAlias-java.lang.String-org.firebirdsql.encodings.Encoding-">getEncodingForCharsetAlias</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charsetAlias,
                          <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;fallbackEncoding)</code>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Java character set name or alias.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingForFirebirdName-java.lang.String-">getEncodingForFirebirdName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;firebirdEncodingName)</code>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Firebird encoding.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingForFirebirdName-java.lang.String-org.firebirdsql.encodings.Encoding-">getEncodingForFirebirdName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;firebirdEncodingName,
                          <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;fallbackEncoding)</code>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Firebird encoding.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getIscEncoding-java.nio.charset.Charset-">getIscEncoding</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;javaCharset)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharset-java.nio.charset.Charset-"><code>getEncodingDefinitionByCharset(java.nio.charset.Charset)</code></a></span></div>
</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getIscEncoding-java.lang.String-">getIscEncoding</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;javaCharsetAlias)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharsetAlias-java.lang.String-"><code>getEncodingDefinitionByCharsetAlias(String)</code></a></span></div>
</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getIscEncodingSize-java.lang.String-">getIscEncodingSize</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;iscEncoding)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByFirebirdName-java.lang.String-"><code>getEncodingDefinitionByFirebirdName(String)</code></a> and <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html#getMaxBytesPerChar--"><code>EncodingDefinition.getMaxBytesPerChar()</code></a></span></div>
</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getJavaEncoding-java.lang.String-">getJavaEncoding</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;iscEncoding)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getJavaEncodingForAlias-java.lang.String-">getJavaEncodingForAlias</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;javaAlias)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharsetAlias-java.lang.String-"><code>getEncodingDefinitionByCharsetAlias(String)</code></a> and <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html#getJavaEncodingName--"><code>EncodingDefinition.getJavaEncodingName()</code></a></span></div>
</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a>&gt;<br>T</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getOrCreateDatatypeCoder-java.lang.Class-">getOrCreateDatatypeCoder</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;datatypeCoderClass)</code>
<div class="block">Gets or - if necessary - creates a datatype coder of the specified type.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getOrCreateEncodingForCharset-java.nio.charset.Charset-">getOrCreateEncodingForCharset</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;charset)</code>
<div class="block">Creates an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Java character set.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>static <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getPlatformDefault--">getPlatformDefault</a></span>()</code>
<div class="block">Returns an instance of <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings"><code>IEncodingFactory</code></a> with the default encoding set to the platform encoding.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>static <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getPlatformEncoding--">getPlatformEncoding</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#withDefaultEncodingDefinition--">withDefaultEncodingDefinition</a></span>()</code>
<div class="block">Returns an <code>ConnectionEncodingFactory</code> that uses
 <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getDefaultEncodingDefinition--"><code>getDefaultEncodingDefinition()</code></a> as the default.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#withDefaultEncodingDefinition-java.nio.charset.Charset-">withDefaultEncodingDefinition</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;charset)</code>
<div class="block">Returns an <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings"><code>IEncodingFactory</code></a> that uses an <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> identified
 by <code>charSet</code> as the default.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingFactory.html#withDefaultEncodingDefinition-org.firebirdsql.encodings.EncodingDefinition-">withDefaultEncodingDefinition</a></span>(<a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a>&nbsp;encodingDefinition)</code>
<div class="block">Returns an <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings"><code>IEncodingFactory</code></a> that uses <code>encodingDefinition</code> as the
 default.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ENCODING_NAME_NONE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ENCODING_NAME_NONE</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ENCODING_NAME_NONE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.encodings.EncodingFactory.ENCODING_NAME_NONE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ENCODING_NAME_OCTETS">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ENCODING_NAME_OCTETS</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ENCODING_NAME_OCTETS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.encodings.EncodingFactory.ENCODING_NAME_OCTETS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDefaultEncoding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultEncoding</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getDefaultEncoding()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getDefaultEncoding--">getDefaultEncoding</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for <a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true#defaultCharset--" title="class or interface in java.nio.charset"><code>Charset.defaultCharset()</code></a>.</dd>
</dl>
</li>
</ul>
<a name="getPlatformEncoding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlatformEncoding</h4>
<pre>public static&nbsp;<a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getPlatformEncoding()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The default encoding of the platform.</dd>
</dl>
</li>
</ul>
<a name="getDefaultEncodingDefinition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultEncodingDefinition</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a>&nbsp;getDefaultEncodingDefinition()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getDefaultEncodingDefinition--">IEncodingFactory</a></code></span></div>
<div class="block">Returns the <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> for the default platform character set.
 <p>
 If the default character set is not supported by Jaybird, an instance of EncodingDefinition should be returned
 with Firebird encoding name <code>"NONE"</code>.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getDefaultEncodingDefinition--">getDefaultEncodingDefinition</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> for <a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true#defaultCharset--" title="class or interface in java.nio.charset"><code>Charset.defaultCharset()</code></a>.</dd>
</dl>
</li>
</ul>
<a name="getEncodingDefinitionByFirebirdName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingDefinitionByFirebirdName</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a>&nbsp;getEncodingDefinitionByFirebirdName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;firebirdEncodingName)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingDefinitionByFirebirdName-java.lang.String-">IEncodingFactory</a></code></span></div>
<div class="block">Looks up the <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> for the specified Firebird encoding name.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingDefinitionByFirebirdName-java.lang.String-">getEncodingDefinitionByFirebirdName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>firebirdEncodingName</code> - The Firebird encoding name (case insensitive)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>EncodingDefinition instance or <code>null</code> if the encoding name is unknown</dd>
</dl>
</li>
</ul>
<a name="getEncodingForFirebirdName-java.lang.String-org.firebirdsql.encodings.Encoding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingForFirebirdName</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getEncodingForFirebirdName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;firebirdEncodingName,
                                           <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;fallbackEncoding)</pre>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Firebird encoding. If there is no known
 encoding for this name, or the loaded EncodingDefinition is information-only, then the fallbackEncoding.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>firebirdEncodingName</code> - The Firebird encoding name (case insensitive)</dd>
<dd><code>fallbackEncoding</code> - The Encoding to use as fallback if no encoding is found (usually the connection encoding). If
         <code>null</code>, the defaultEncoding for the JVM is used.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Encoding instance (never null)</dd>
</dl>
</li>
</ul>
<a name="getEncodingForFirebirdName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingForFirebirdName</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getEncodingForFirebirdName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;firebirdEncodingName)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingForFirebirdName-java.lang.String-">IEncodingFactory</a></code></span></div>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Firebird encoding. If there is no known
 encoding for this name,
 or the loaded EncodingDefinition is information-only, then the defaultEncoding is used.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingForFirebirdName-java.lang.String-">getEncodingForFirebirdName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>firebirdEncodingName</code> - The Firebird encoding name (case insensitive)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Encoding instance (never null)</dd>
</dl>
</li>
</ul>
<a name="getEncodingDefinitionByCharacterSetId-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingDefinitionByCharacterSetId</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a>&nbsp;getEncodingDefinitionByCharacterSetId(int&nbsp;firebirdCharacterSetId)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingDefinitionByCharacterSetId-int-">IEncodingFactory</a></code></span></div>
<div class="block">Looks up the <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> for the specified Firebird character set id.
 <p>
 Implementations that do not know the connection character set should return <code>null</code> for the
 value <a href="../../../org/firebirdsql/gds/ISCConstants.html#CS_dynamic"><code>ISCConstants.CS_dynamic</code></a> (= 127), as that is the indicator to use
 the connection character set.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingDefinitionByCharacterSetId-int-">getEncodingDefinitionByCharacterSetId</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>firebirdCharacterSetId</code> - Firebird character set id</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>EncodingDefinition instance or <code>null</code> if the character set id is unknown or <code>127</code> and this
 implementation doesn't know the connection character set.</dd>
</dl>
</li>
</ul>
<a name="getEncodingForCharacterSetId-int-org.firebirdsql.encodings.Encoding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingForCharacterSetId</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getEncodingForCharacterSetId(int&nbsp;firebirdCharacterSetId,
                                             <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;fallbackEncoding)</pre>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Firebird character set id. If there is no
 known encoding for this character set id (or if it is 127, see <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharacterSetId-int-"><code>getEncodingDefinitionByCharacterSetId(int)</code></a>),
 or the loaded EncodingDefinition is information-only, then the fallbackEncoding will be used.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>firebirdCharacterSetId</code> - The Firebird character set id</dd>
<dd><code>fallbackEncoding</code> - The Encoding to use as fallback if no encoding is found (usually the connection encoding). If
         <code>null</code>, the defaultEncoding for the JVM is used.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Encoding instance (never null)</dd>
</dl>
</li>
</ul>
<a name="getEncodingForCharacterSetId-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingForCharacterSetId</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getEncodingForCharacterSetId(int&nbsp;firebirdCharacterSetId)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingForCharacterSetId-int-">IEncodingFactory</a></code></span></div>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Firebird character set id. If there is no
 known encoding for this character set id (or if it is 127,
 see <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingDefinitionByCharacterSetId-int-"><code>IEncodingFactory.getEncodingDefinitionByCharacterSetId(int)</code></a>), or the loaded EncodingDefinition is information-only,
 then the defaultEncoding will be used.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingForCharacterSetId-int-">getEncodingForCharacterSetId</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>firebirdCharacterSetId</code> - The Firebird character set id</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Encoding instance (never null)</dd>
</dl>
</li>
</ul>
<a name="getEncodingDefinitionByCharset-java.nio.charset.Charset-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingDefinitionByCharset</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a>&nbsp;getEncodingDefinitionByCharset(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;charset)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingDefinitionByCharset-java.nio.charset.Charset-">IEncodingFactory</a></code></span></div>
<div class="block">Looks up an <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> for the Java <a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset"><code>Charset</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingDefinitionByCharset-java.nio.charset.Charset-">getEncodingDefinitionByCharset</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>charset</code> - The Java character set</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>EncodingDefinition instance or <code>null</code> if the character set is not mapped</dd>
</dl>
</li>
</ul>
<a name="getEncodingForCharset-java.nio.charset.Charset-org.firebirdsql.encodings.Encoding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingForCharset</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getEncodingForCharset(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;charset,
                                      <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;fallbackEncoding)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingForCharset-java.nio.charset.Charset-org.firebirdsql.encodings.Encoding-">IEncodingFactory</a></code></span></div>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Java character set. If there is no known
 encoding for this <a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset"><code>Charset</code></a>, or the loaded EncodingDefinition is information-only, then
 the fallbackEncoding will be used.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingForCharset-java.nio.charset.Charset-org.firebirdsql.encodings.Encoding-">getEncodingForCharset</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>charset</code> - The Java character set</dd>
<dd><code>fallbackEncoding</code> - The Encoding to use as fallback if no encoding is found (usually the connection encoding). If
         <code>null</code>, the defaultEncoding for the JVM is used.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Encoding instance (never null)</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getOrCreateEncodingForCharset-java.nio.charset.Charset-"><code>IEncodingFactory.getOrCreateEncodingForCharset(java.nio.charset.Charset)</code></a></dd>
</dl>
</li>
</ul>
<a name="getEncodingForCharset-java.nio.charset.Charset-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingForCharset</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getEncodingForCharset(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;charset)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingForCharset-java.nio.charset.Charset-">IEncodingFactory</a></code></span></div>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Java character set. If there is no known
 encoding for this <a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset"><code>Charset</code></a>, or the loaded EncodingDefinition is information-only, then
 the defaultEncoding will be used.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingForCharset-java.nio.charset.Charset-">getEncodingForCharset</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>charset</code> - The Java character set</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Encoding instance (never null)</dd>
</dl>
</li>
</ul>
<a name="getOrCreateEncodingForCharset-java.nio.charset.Charset-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateEncodingForCharset</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getOrCreateEncodingForCharset(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;charset)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getOrCreateEncodingForCharset-java.nio.charset.Charset-">IEncodingFactory</a></code></span></div>
<div class="block">Creates an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Java character set. If there is no known encoding for this
 charset, then an Encoding instance based on the charset is returned.
 <p>
 In general the method <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingForCharset-java.nio.charset.Charset-org.firebirdsql.encodings.Encoding-"><code>IEncodingFactory.getEncodingForCharset(java.nio.charset.Charset, Encoding)</code></a> should be used.
 </p>
 <p>
 Don't confuse this method with <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingForCharset-java.nio.charset.Charset-"><code>IEncodingFactory.getEncodingForCharset(Charset)</code></a>, which falls back to the default
 encoding.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getOrCreateEncodingForCharset-java.nio.charset.Charset-">getOrCreateEncodingForCharset</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>charset</code> - The Java character set</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Encoding instance (never null)</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingForCharset-java.nio.charset.Charset-org.firebirdsql.encodings.Encoding-"><code>IEncodingFactory.getEncodingForCharset(java.nio.charset.Charset, Encoding)</code></a></dd>
</dl>
</li>
</ul>
<a name="getEncodingDefinitionByCharsetAlias-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingDefinitionByCharsetAlias</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a>&nbsp;getEncodingDefinitionByCharsetAlias(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charsetAlias)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingDefinitionByCharsetAlias-java.lang.String-">IEncodingFactory</a></code></span></div>
<div class="block">Looks up the <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> by the specified Java character set name or
 alias.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingDefinitionByCharsetAlias-java.lang.String-">getEncodingDefinitionByCharsetAlias</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>charsetAlias</code> - Name (or alias) of the Java character set (case insensitive)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>EncodingDefinition instance or <code>null</code> if the character set name is not mapped</dd>
</dl>
</li>
</ul>
<a name="getEncodingForCharsetAlias-java.lang.String-org.firebirdsql.encodings.Encoding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingForCharsetAlias</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getEncodingForCharsetAlias(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charsetAlias,
                                           <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;fallbackEncoding)</pre>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Java character set name or alias. If there
 is no known encoding for this name, or the loaded EncodingDefinition is information-only, then the
 fallbackEncoding will be used.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>charsetAlias</code> - The Java character set name or alias</dd>
<dd><code>fallbackEncoding</code> - The Encoding to use as fallback if no encoding is found (usually the connection encoding). If
         <code>null</code>, the defaultEncoding for the JVM is used.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Encoding instance (never null)</dd>
</dl>
</li>
</ul>
<a name="getEncodingForCharsetAlias-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingForCharsetAlias</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getEncodingForCharsetAlias(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charsetAlias)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingForCharsetAlias-java.lang.String-">IEncodingFactory</a></code></span></div>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> for the specified Java character set name or alias. If there
 is no known encoding for this name, or the loaded EncodingDefinition is information-only, then the
 defaultEncoding will be used.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingForCharsetAlias-java.lang.String-">getEncodingForCharsetAlias</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>charsetAlias</code> - The Java character set name or alias</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Encoding instance (never null)</dd>
</dl>
</li>
</ul>
<a name="getEncodingDefinition-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncodingDefinition</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a>&nbsp;getEncodingDefinition(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;firebirdEncodingName,
                                                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;javaCharsetAlias)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingDefinition-java.lang.String-java.lang.String-">IEncodingFactory</a></code></span></div>
<div class="block">Gets or creates an <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> for the supplied Firebird encoding and Java charset.
 <p>
 When <code>firebirdEncodingName</code> is not null and <code>javaCharsetAlias</code> is null, then the
 encoding definition as returned by <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingDefinitionByFirebirdName-java.lang.String-"><code>IEncodingFactory.getEncodingDefinitionByFirebirdName(String)</code></a> is returned. For the
 reverse (<code>firebirdEncodingName</code> is null and <code>javaCharsetAlias</code> isn't), the encoding
 definition as returned by <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingDefinitionByCharsetAlias-java.lang.String-"><code>IEncodingFactory.getEncodingDefinitionByCharsetAlias(String)</code></a> is returned.
 </p>
 <p>
 When both parameters are set, the result of <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingDefinitionByFirebirdName-java.lang.String-"><code>IEncodingFactory.getEncodingDefinitionByFirebirdName(String)</code></a> is returned if
 the character set matches, otherwise a new <a href="../../../org/firebirdsql/encodings/DefaultEncodingDefinition.html" title="class in org.firebirdsql.encodings"><code>DefaultEncodingDefinition</code></a> is created based on its information,
 but with the specified character set. This can be useful for attempting to fix encoding issues in Firebird.
 </p>
 <p>
 If either of the parameters cannot be resolved, to an EncodingDefinition or <a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset"><code>Charset</code></a>, or the
 EncodingDefinition is information-only - with the exception of Firebird encoding NONE - and no Java Charset
 is specified, then null is returned.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getEncodingDefinition-java.lang.String-java.lang.String-">getEncodingDefinition</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>firebirdEncodingName</code> - Name of the Firebird encoding, or null to defer decision to the java Charset alias</dd>
<dd><code>javaCharsetAlias</code> - Alias of the Java character set, or null to defer decision to the Firebird encoding</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An EncodingDefinition or null if both parameters are null, no encoding was found or if an exception
 occurred.</dd>
</dl>
</li>
</ul>
<a name="withDefaultEncodingDefinition-org.firebirdsql.encodings.EncodingDefinition-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withDefaultEncodingDefinition</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;withDefaultEncodingDefinition(<a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a>&nbsp;encodingDefinition)</pre>
<div class="block">Returns an <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings"><code>IEncodingFactory</code></a> that uses <code>encodingDefinition</code> as the
 default.
 <p>
 This implementation returns an instance of <code>ConnectionEncodingFactory</code>.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#withDefaultEncodingDefinition-org.firebirdsql.encodings.EncodingDefinition-">withDefaultEncodingDefinition</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>encodingDefinition</code> - The default encoding to use (or <code>null</code> for the value of <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getDefaultEncoding--"><code>IEncodingFactory.getDefaultEncoding()</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IEncodingFactory instance with the specified default.</dd>
</dl>
</li>
</ul>
<a name="withDefaultEncodingDefinition-java.nio.charset.Charset-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withDefaultEncodingDefinition</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;withDefaultEncodingDefinition(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;charset)</pre>
<div class="block">Returns an <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings"><code>IEncodingFactory</code></a> that uses an <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> identified
 by <code>charSet</code> as the default.
 <p>
 This implementation returns an instance of <code>ConnectionEncodingFactory</code>.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#withDefaultEncodingDefinition-java.nio.charset.Charset-">withDefaultEncodingDefinition</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>charset</code> - The default charset to use.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IEncodingFactory instance with the specified default.</dd>
</dl>
</li>
</ul>
<a name="getOrCreateDatatypeCoder-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrCreateDatatypeCoder</h4>
<pre>public&nbsp;&lt;T extends <a href="../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a>&gt;&nbsp;T&nbsp;getOrCreateDatatypeCoder(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;datatypeCoderClass)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getOrCreateDatatypeCoder-java.lang.Class-">IEncodingFactory</a></code></span></div>
<div class="block">Gets or - if necessary - creates a datatype coder of the specified type.
 <p>
 In general this method should only be called from a static factory method on the datatype coder itself.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html#getOrCreateDatatypeCoder-java.lang.Class-">getOrCreateDatatypeCoder</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a></code></dd>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - Type parameter of type <a href="../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng"><code>DatatypeCoder</code></a></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>datatypeCoderClass</code> - Type of datatype coder, needs to have a single-arg constructor accepting an <code>IEncodingFactory</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>New or cached instance of datatype coder</dd>
</dl>
</li>
</ul>
<a name="createNewDatatypeCoder-java.lang.Class-org.firebirdsql.encodings.IEncodingFactory-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNewDatatypeCoder</h4>
<pre>protected static&nbsp;&lt;T extends <a href="../../../org/firebirdsql/gds/ng/DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng">DatatypeCoder</a>&gt;&nbsp;T&nbsp;createNewDatatypeCoder(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;datatypeCoderClass,
                                                                    <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;encodingFactory)</pre>
</li>
</ul>
<a name="withDefaultEncodingDefinition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withDefaultEncodingDefinition</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;withDefaultEncodingDefinition()</pre>
<div class="block">Returns an <code>ConnectionEncodingFactory</code> that uses
 <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getDefaultEncodingDefinition--"><code>getDefaultEncodingDefinition()</code></a> as the default.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IEncodingFactory instance with the specified default.</dd>
</dl>
</li>
</ul>
<a name="getPlatformDefault--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlatformDefault</h4>
<pre>public static&nbsp;<a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;getPlatformDefault()</pre>
<div class="block">Returns an instance of <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings"><code>IEncodingFactory</code></a> with the default encoding set to the platform encoding.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Instance of <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings"><code>IEncodingFactory</code></a>.</dd>
</dl>
</li>
</ul>
<a name="createInstance-org.firebirdsql.encodings.EncodingDefinition-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInstance</h4>
<pre>public static&nbsp;<a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;createInstance(<a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings">EncodingDefinition</a>&nbsp;encodingDefinition)</pre>
<div class="block">Returns an <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings"><code>IEncodingFactory</code></a> that uses <code>encodingDefinition</code> as the
 default.
 <p>
 If <code>encodingDefinition</code> is <code>null</code> or an information-only encoding, the implementation will
 return the cached instance returned by <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getPlatformDefault--"><code>getPlatformDefault()</code></a>.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>encodingDefinition</code> - The default encoding to use (or <code>null</code> to get <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getPlatformDefault--"><code>getPlatformDefault()</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IEncodingFactory instance with the specified default.</dd>
</dl>
</li>
</ul>
<a name="createInstance-java.nio.charset.Charset-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInstance</h4>
<pre>public static&nbsp;<a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings">IEncodingFactory</a>&nbsp;createInstance(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;charset)</pre>
<div class="block">Returns an <a href="../../../org/firebirdsql/encodings/IEncodingFactory.html" title="interface in org.firebirdsql.encodings"><code>IEncodingFactory</code></a> that uses an <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> identified
 by <code>charSet</code> as the default.
 <p>
 If <code>charset</code> is <code>null</code>, the implementation will return the cached instance return by
 <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getPlatformDefault--"><code>getPlatformDefault()</code></a>.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>charset</code> - The default charset to use, or <code>null</code> for <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getPlatformDefault--"><code>getPlatformDefault()</code></a>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>IEncodingFactory instance with the specified default.</dd>
</dl>
</li>
</ul>
<a name="createInstance-org.firebirdsql.encodings.EncodingSet...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInstance</h4>
<pre>public static&nbsp;<a href="../../../org/firebirdsql/encodings/EncodingFactory.html" title="class in org.firebirdsql.encodings">EncodingFactory</a>&nbsp;createInstance(<a href="../../../org/firebirdsql/encodings/EncodingSet.html" title="interface in org.firebirdsql.encodings">EncodingSet</a>...&nbsp;encodingSets)</pre>
<div class="block">Creates a new EncodingFactory based on the supplied encodingSets. The supplied <a href="../../../org/firebirdsql/encodings/EncodingSet.html" title="interface in org.firebirdsql.encodings"><code>EncodingSet</code></a> instances
 are processed highest preferenceWeight first.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>encodingSets</code> - The EncodingSet definitions to use for the EncodingFactory instance</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>EncodingFactory instance based on the supplied encodingSets.</dd>
</dl>
</li>
</ul>
<a name="getCharacterSetSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCharacterSetSize</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public static&nbsp;int&nbsp;getCharacterSetSize(int&nbsp;characterSetId)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use the information provided by the <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><code>EncodingDefinition</code></a> returned by <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharacterSetId-int-"><code>getEncodingDefinitionByCharacterSetId(int)</code></a></span></div>
<div class="block">Get size of a character for the specified character set.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>characterSetId</code> - of the character set.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>maximum size of the character in bytes or 1 if charset was not
         found.</dd>
</dl>
</li>
</ul>
<a name="getEncoding-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncoding</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public static&nbsp;<a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getEncoding(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;javaCharsetAlias)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingForCharsetAlias-java.lang.String-org.firebirdsql.encodings.Encoding-"><code>getEncodingForCharsetAlias(String, Encoding)</code></a></span></div>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> instance for the supplied java Charset name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>javaCharsetAlias</code> - Java Charset name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Instance of <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a></dd>
</dl>
</li>
</ul>
<a name="getEncoding-java.nio.charset.Charset-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncoding</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public static&nbsp;<a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getEncoding(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;charset)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingForCharset-java.nio.charset.Charset-org.firebirdsql.encodings.Encoding-"><code>getEncodingForCharset(java.nio.charset.Charset, Encoding)</code></a> or <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getOrCreateEncodingForCharset-java.nio.charset.Charset-"><code>getOrCreateEncodingForCharset(java.nio.charset.Charset)</code></a></span></div>
<div class="block">Gets an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> instance for the supplied java Charset.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>charset</code> - Java Charset</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Instance of <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a></dd>
</dl>
</li>
</ul>
<a name="getIscEncoding-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIscEncoding</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getIscEncoding(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;javaCharsetAlias)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharsetAlias-java.lang.String-"><code>getEncodingDefinitionByCharsetAlias(String)</code></a></span></div>
<div class="block">Get Firebird encoding for given Java language encoding.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>javaCharsetAlias</code> - Java language encoding.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>corresponding Firebird encoding or <code>null</code> if none
         found.</dd>
</dl>
</li>
</ul>
<a name="getIscEncoding-java.nio.charset.Charset-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIscEncoding</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getIscEncoding(<a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;javaCharset)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharset-java.nio.charset.Charset-"><code>getEncodingDefinitionByCharset(java.nio.charset.Charset)</code></a></span></div>
<div class="block">Get Firebird encoding for given Java Charset.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>javaCharset</code> - Java Charset</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>corresponding Firebird encoding or <code>null</code> if none
         found.</dd>
</dl>
</li>
</ul>
<a name="getIscEncodingSize-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIscEncodingSize</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public static&nbsp;int&nbsp;getIscEncodingSize(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;iscEncoding)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByFirebirdName-java.lang.String-"><code>getEncodingDefinitionByFirebirdName(String)</code></a> and <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html#getMaxBytesPerChar--"><code>EncodingDefinition.getMaxBytesPerChar()</code></a></span></div>
<div class="block">Get size of a character for the specified Firebird encoding.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>iscEncoding</code> - Firebird encoding.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>maximum size of the character in bytes or 1 if encoding was not
         found.</dd>
</dl>
</li>
</ul>
<a name="getJavaEncoding-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJavaEncoding</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getJavaEncoding(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;iscEncoding)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Get Java language encoding for given Firebird encoding.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>iscEncoding</code> - Firebird encoding</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>corresponding Java encoding or <code>null</code> if none found.
         Use <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByFirebirdName-java.lang.String-"><code>getEncodingDefinitionByFirebirdName(String)</code></a> and <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html#getJavaEncodingName--"><code>EncodingDefinition.getJavaEncodingName()</code></a></dd>
</dl>
</li>
</ul>
<a name="getJavaEncodingForAlias-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getJavaEncodingForAlias</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getJavaEncodingForAlias(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;javaAlias)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">Use <a href="../../../org/firebirdsql/encodings/EncodingFactory.html#getEncodingDefinitionByCharsetAlias-java.lang.String-"><code>getEncodingDefinitionByCharsetAlias(String)</code></a> and <a href="../../../org/firebirdsql/encodings/EncodingDefinition.html#getJavaEncodingName--"><code>EncodingDefinition.getJavaEncodingName()</code></a></span></div>
<div class="block">Get Java language encoding for a given Java encoding alias.
 <p>
 Ensures that naming is consistent even if a different alias was used.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>javaAlias</code> - Java alias for the encoding</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Java Charset name</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html" title="interface in org.firebirdsql.encodings"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/encodings/EncodingSet.html" title="interface in org.firebirdsql.encodings"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/encodings/EncodingFactory.html" target="_top">Frames</a></li>
<li><a href="EncodingFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
